Programs
Update an affiliate in a program
PATCH
/
programs
/
{program_id}
/
affiliates
/
{affiliate_id}
/
Update an affiliate in a program
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"coupon": "JANE20OFF"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({coupon: 'JANE20OFF'})
};
fetch('https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/"
payload = { "coupon": "JANE20OFF" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'coupon' => 'JANE20OFF'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"coupon\": \"JANE20OFF\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/"
payload := strings.NewReader("{\n \"coupon\": \"JANE20OFF\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"coupon\": \"JANE20OFF\"\n}")
.asString();{
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson",
"email": "jane@example-blog.inc",
"company": {
"name": "Example blog Inc.",
"description": "Best blog ever"
},
"address": {
"address": "Rapenburgerstraat 173",
"address_two": null,
"postal_code": "1011 VM",
"city": "Amsterdam",
"state": "Noord-Holland",
"country": {
"code": "NL",
"name": "Netherlands"
}
},
"meta_data": {
"foo": "bar",
"meta": "data"
},
"parent_id": "sandrasanderson",
"referral_link": {
"link": "https://tapper.inc/johns-cool-product/?ref=nwjinmy",
"asset_id": "1-aaaaaa",
"source_id": "1-ssssss"
},
"coupon": "JANE20OFF",
"approved": true,
"affiliate_group_id": null,
"created_at": "2021-05-27T11:39:03+00:00",
"applied_at": "2021-05-27T11:39:03+00:00",
"promoted_at": null,
"promotion_method": null,
"custom_fields": {
"field1": "value1"
}
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
The id of the Program.
The id of the affiliate.
Body
application/json
The affiliate's coupon code for this program
Example:
"JANE20OFF"
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update an affiliate in a program
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"coupon": "JANE20OFF"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({coupon: 'JANE20OFF'})
};
fetch('https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/"
payload = { "coupon": "JANE20OFF" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'coupon' => 'JANE20OFF'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"coupon\": \"JANE20OFF\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/"
payload := strings.NewReader("{\n \"coupon\": \"JANE20OFF\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"coupon\": \"JANE20OFF\"\n}")
.asString();{
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson",
"email": "jane@example-blog.inc",
"company": {
"name": "Example blog Inc.",
"description": "Best blog ever"
},
"address": {
"address": "Rapenburgerstraat 173",
"address_two": null,
"postal_code": "1011 VM",
"city": "Amsterdam",
"state": "Noord-Holland",
"country": {
"code": "NL",
"name": "Netherlands"
}
},
"meta_data": {
"foo": "bar",
"meta": "data"
},
"parent_id": "sandrasanderson",
"referral_link": {
"link": "https://tapper.inc/johns-cool-product/?ref=nwjinmy",
"asset_id": "1-aaaaaa",
"source_id": "1-ssssss"
},
"coupon": "JANE20OFF",
"approved": true,
"affiliate_group_id": null,
"created_at": "2021-05-27T11:39:03+00:00",
"applied_at": "2021-05-27T11:39:03+00:00",
"promoted_at": null,
"promotion_method": null,
"custom_fields": {
"field1": "value1"
}
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}